﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public static class LineRendererExtension
{
    public static void DrawCircle(this LineRenderer renderer, Vector3 center, float radius)
    {
        Vector3[] positions = new Vector3[361];
        center.z = 0;
        for (int i = 0; i < 360; i++)
        {
            positions[i] = center + Quaternion.Euler(0, 0, i) * Vector2.up * radius;
        }
        positions[360] = positions[0];
        renderer.SetPositions(positions);
    }
}
